Last Comment Bug 649491 - rm JSFRAME_ASSIGNING
: rm JSFRAME_ASSIGNING
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Luke Wagner [:luke]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-12 14:16 PDT by Luke Wagner [:luke]
Modified: 2011-04-26 15:19 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
do it (16.68 KB, patch)
2011-04-12 14:17 PDT, Luke Wagner [:luke]
dvander: review+
Details | Diff | Splinter Review

Description Luke Wagner [:luke] 2011-04-12 14:16:04 PDT
JSFRAME_ASSIGNING is only used to tell js_InferFlags we are assigning.  This can be done more simply the way everywhere else does it: with JSAutoResolveFlags.  This came up in the context of bug 645901 when I was looking for places where we unnecessarily twiddle frame flags (thereby requiring frame deoptimization).
Comment 1 Luke Wagner [:luke] 2011-04-12 14:17:08 PDT
Created attachment 525512 [details] [diff] [review]
do it
Comment 2 Brendan Eich [:brendan] 2011-04-12 14:29:51 PDT
Comment on attachment 525512 [details] [diff] [review]
do it

>+    uint32 opFormat = cs->format;

Nit: format is the canonical name elsewhere.

>+    uint32 setPropFlags = JOF_MODE(opFormat) == JOF_NAME

Nit: we follow K&R and parenthesize lower-than-unary-precedence ?: conditions.

JSFRAME_flagls: one down, 21 to go! :-P

/be
Comment 3 Luke Wagner [:luke] 2011-04-12 14:56:09 PDT
Ah, good to know.  I doubt the flags will be dying any time soon (bug 645901 will avoid even storing them!), but the thing I'd really like to see go are these resolve flags.  Unfortunately, it seems like DOM global window quirks really want them...
Comment 4 David Anderson [:dvander] 2011-04-12 15:14:00 PDT
Comment on attachment 525512 [details] [diff] [review]
do it

nice
Comment 5 Luke Wagner [:luke] 2011-04-14 11:14:58 PDT
http://hg.mozilla.org/tracemonkey/rev/45d3b3a77929
Comment 6 Luke Wagner [:luke] 2011-04-14 11:27:26 PDT
Srsly, fixed-in-tracemonkey.
Comment 7 Chris Leary [:cdleary] (not checking bugmail) 2011-04-26 15:19:13 PDT
http://hg.mozilla.org/mozilla-central/rev/45d3b3a77929

Note You need to log in before you can comment on or make changes to this bug.